OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_ElementRepresentation Class Reference

Representation of STEP entity ElementRepresentation
.

`#include <StepFEA_ElementRepresentation.hxx>`

Inheritance diagram for StepFEA_ElementRepresentation:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_ElementRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(StepFEA_HArray1OfNodeRepresentation)&aNodeList)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation | NodeList () const
| Returns field NodeList .
Standard_EXPORT void | SetNodeList (const Handle(StepFEA_HArray1OfNodeRepresentation)&NodeList)
| Set field NodeList .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_HArray1OfNodeRepresentation | theNodeList

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ElementRepresentation::StepFEA_ElementRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_ElementRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_Representation. Reimplemented in StepFEA_Curve3dElementRepresentation, StepFEA_Surface3dElementRepresentation, and StepFEA_Volume3dElementRepresentation.

Standard_EXPORT void StepFEA_ElementRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aNodeList
| ) |

Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_ElementRepresentation::NodeList | ( |  | ) | const

Standard_EXPORT void StepFEA_ElementRepresentation::SetNodeList | ( | const Handle(StepFEA_HArray1OfNodeRepresentation)& | NodeList | ) |

## Field Documentation

Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_ElementRepresentation::theNodeList`[private]`

The documentation for this class was generated from the following file:

- StepFEA_ElementRepresentation.hxx